PETSc version 3.15.5
Fix/Edit manual page

# PCASMGetDMSubdomains

Returns flag indicating whether to use DMCreateDomainDecomposition() to define the subdomains, whenever possible. Not Collective

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCASMGetDMSubdomains(PC pc,PetscBool* flg)

### Input Parameter

| pc | - the preconditioner

### Output Parameter

| flg | - boolean indicating whether to use subdomains defined by the DM

### See Also

PCASMSetDMSubdomains(), PCASMSetTotalSubdomains(), PCASMSetOverlap()
PCASMCreateSubdomains2D(), PCASMSetLocalSubdomains(), PCASMGetLocalSubdomains()

### Level

intermediate

### Location

src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages